SET SERVEROUTPUT ON SIZE 1000000;
SET VERIFY OFF

DECLARE
	l_total_extracted	NUMBER;
	l_total_imported	NUMBER;				
	l_func_id			VARCHAR2(100):='CAPARREC_SYSTEM_OPTION';
	l_code VARCHAR2(100):=UPPER('&1');

BEGIN
	SELECT COUNT(1)
	INTO l_total_extracted        
	from AR_SYSTEM_PARAMETERS_ALL A,
	 			 GL_SETS_OF_BOOKS B
	WHERE A.SET_OF_BOOKS_ID = B.SET_OF_BOOKS_ID
	AND	 	  B.SHORT_NAME =l_code;
	
	SELECT COUNT(1) 
	INTO l_total_imported
	FROM CRST_AR_SYSTEM_PARAMETERS_ALL;

	dbms_output.put_line('Function: '||l_func_id);		
	dbms_output.put_line('Total Extracted: '||TO_CHAR(l_total_extracted)) ;
	dbms_output.put_line('Total Imported:  '||TO_CHAR(l_total_imported));
	IF l_total_extracted <> l_total_imported THEN
		dbms_output.put_line('Error: No. of Records do not match!');
	END IF;		
						
EXCEPTION
	WHEN OTHERS THEN	
		dbms_output.put_line('Function Error: '||l_func_id);			

END;
/
